| My Project

Public Member Functions | Properties | List of all members
Modèle.Expert Class Reference

Class Expert qui implémente l'interface Personne Un expert peut ajouter et modifier des requins mais il peut aussi valider ou refuser les ajouts ou les modifications des utilisateurs More...

Inheritance diagram for Modèle.Expert:

## Public Member Functions
| Expert (string email, string mdp, string surnom)
| Constructeur sans DateTime More...
| Expert (string email, string mdp, string surnom, DateTime date)
| Constructeur avec DateTime More...
override string | ToString ()
| Méthode ToString de la classe Expert More...
int | ValiderSubmit (List< Requin > lBdFinie, List< Requin > lBdPasFinie)
| Méthode de test lors de la création de la class Expert qui permettait de valider ou de refuser des requins ajoutés par les utilisateurs More...
int | ValiderUnChangement (List< Requin > lBdFinie, List< Requin > lBdPasfinie)
| Méthode de test lors de la création de la class Expert qui permettait de valider ou de refuser des requins édités par les utilisateurs More...
bool | Equals (Expert e)
| Méthode Equals de la Class Expert qui permet de savoir si deux experts sont égaux, regarde en fonction des emails More...
override void | AjouterRequin (Requin req, ObservableCollection< Requin > requins)
| Méthode qui permet d'ajouter un Requin dans une ObservableCollection de Requin More...
override void | ChangerMotDePasse (string nvMdp)
| Méthode qui permet de changer le mot de passe de l'Expert More...
Public Member Functions inherited from Modèle.Personne
| Personne (string email, string mdp)
| Constructeur d'une personne More...
abstract override string | ToString ()
| Création de la méthode abstraite ToString More...
abstract void | AjouterRequin (Requin req, ObservableCollection< Requin > requins)
| Création de la méthode abstraite AjouterRequin qui permet d'ajouter un Requin dans une ObservableCollection de Requin More...
abstract void | ChangerMotDePasse (string nvMdp)
| Création de la méthode abstraite ChangerMotDePasse qui permet de changer le mot de passe d'un personne More...

## Properties
DateTime | DateD`[get]`
| DateTime qui permet de connaitre la date de création x'un compte expert
string | Surnom`[get]`
| /String le surnom d'un expert
Properties inherited from Modèle.Personne
string | Email`[get, protected set]`
| String email d'une Personne
string | MotDePasse`[get, protected set]`
| String mot de passe d'une Personne

## Detailed Description

Class Expert qui implémente l'interface Personne Un expert peut ajouter et modifier des requins mais il peut aussi valider ou refuser les ajouts ou les modifications des utilisateurs

## Constructor & Destructor Documentation

## ◆ Expert() [1/2]

Modèle.Expert.Expert | ( | string | email,
|  | string | mdp,
|  | string | surnom
| ) |  |
| inline

Constructeur sans DateTime

Parameters

  email | String email de l'Expert (son identifiant pour se connecter
  mdp | String le mot de passe de l'Expert
  surnom | String surnom de l'Expert

## ◆ Expert() [2/2]

Modèle.Expert.Expert | ( | string | email,
|  | string | mdp,
|  | string | surnom,
|  | DateTime | date
| ) |  |
| inline

Constructeur avec DateTime

Parameters

  email | String email de l'Expert (son identifiant pour se connecter
  mdp | String le mot de passe de l'Expert
  surnom | String surnom de l'Expert
  date | Date de création du compte Expert

## Member Function Documentation

## ◆ AjouterRequin()

override void Modèle.Expert.AjouterRequin | ( | Requin | req,
|  | ObservableCollection< Requin > | requins
| ) |  |
| inline virtual

Méthode qui permet d'ajouter un Requin dans une ObservableCollection de Requin

Parameters

  req | Requin qui va être ajouté dans l'observable collection
  requins | ObservableCollection de Requin l'ObservableCollection dans laquelle on ajoute le Requin

Implements Modèle.Personne.

## ◆ ChangerMotDePasse()

override void Modèle.Expert.ChangerMotDePasse | ( | string | nvMdp | ) |
| inline virtual

Méthode qui permet de changer le mot de passe de l'Expert

Parameters

  nvMdp | String nouveau mot de passe de l'Expert

Implements Modèle.Personne.

## ◆ Equals()

bool Modèle.Expert.Equals | ( | Expert | e | ) |
| inline

Méthode Equals de la Class Expert qui permet de savoir si deux experts sont égaux, regarde en fonction des emails

Parameters

  e | Expert

Returns
  Booléen : true si elles sont égales, false si elles sont différentes

## ◆ ToString()

override string Modèle.Expert.ToString | ( |  | ) |
| inline virtual

Méthode ToString de la classe Expert

Implements Modèle.Personne.

## ◆ ValiderSubmit()

int Modèle.Expert.ValiderSubmit | ( | List< Requin > | lBdFinie,
|  | List< Requin > | lBdPasFinie
| ) |  |
| inline

Méthode de test lors de la création de la class Expert qui permettait de valider ou de refuser des requins ajoutés par les utilisateurs

Parameters

  lBdPasFinie | List de Requin qui est la list contenant tout les requins ajoutés par des Utilisateurs
  lBdFinie | List de Requin qui est la list contenant tout les requins validés par les experts

Returns
  Int : Le nombre changement validé

## ◆ ValiderUnChangement()

int Modèle.Expert.ValiderUnChangement | ( | List< Requin > | lBdFinie,
|  | List< Requin > | lBdPasfinie
| ) |  |
| inline

Méthode de test lors de la création de la class Expert qui permettait de valider ou de refuser des requins édités par les utilisateurs

Parameters

  lBdPasfinie | List de Requin qui est la list contenant tout les requins ajoutés par des Utilisateurs
  lBdFinie | List de Requin qui est la list contenant tout les requins validés par les experts

Returns
  Int : Le nombre changement validé

The documentation for this class was generated from the following file:

- Modèle/Expert.cs